------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008-2010 Vadim Godunko <vgodunko@gmail.com>                 --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3769 $ $Date: 2010-10-24 03:16:28 +0400 (Sun, 24 Oct 2010) $
------------------------------------------------------------------------------

package body Qt4 is

   ---------------------
   -- Q_Integer_Image --
   ---------------------

   function Q_Integer_Image (Item : Q_Integer) return String is
      Image : constant String := Q_Integer'Image (Item);

   begin
      if Image (Image'First) = ' ' then
         return Image (Image'First + 1 .. Image'Last);

      else
         return Image;
      end if;
   end Q_Integer_Image;

   ------------------
   -- Q_Real_Image --
   ------------------

   function Q_Real_Image (Item : Q_Real) return String is
      Image : constant String := Q_Real'Image (Item);

   begin
      if Image (Image'First) = ' ' then
         return Image (Image'First + 1 .. Image'Last);

      else
         return Image;
      end if;
   end Q_Real_Image;

   ------------
   -- Signal --
   ------------

   function Signal (Name : String) return Signal_Name is
   begin
      return Signal_Name ('2' & Name);
   end Signal;

   ----------
   -- Slot --
   ----------

   function Slot (Name : String) return Slot_Name is
   begin
      return Slot_Name ('1' & Name);
   end Slot;

   -------------
   -- To_bool --
   -------------

   function To_bool (Item : Boolean) return bool is
   begin
      return bool (Item);
   end To_bool;

   ----------------
   -- To_Boolean --
   ----------------

   function To_Boolean (Item : bool) return Boolean is
   begin
      return Boolean (Item);
   end To_Boolean;

end Qt4;
